# ORTGraphOptimizationLevel Enumeration Reference

# ORTGraphOptimizationLevel

Objective-C

    enum ORTGraphOptimizationLevel : int32_t {}

Swift

    enum ORTGraphOptimizationLevel : Int32

The ORT graph optimization levels. See here for more details: https://www.onnxruntime.ai/docs/resources/graph-optimizations.html

- `ORTGraphOptimizationLevelNone`

  #### Declaration

  Objective-C

      ORTGraphOptimizationLevelNone

  Swift

      case none = 0

- `ORTGraphOptimizationLevelBasic`

  #### Declaration

  Objective-C

      ORTGraphOptimizationLevelBasic

  Swift

      case basic = 1

- `ORTGraphOptimizationLevelExtended`

  #### Declaration

  Objective-C

      ORTGraphOptimizationLevelExtended

  Swift

      case extended = 2

- `ORTGraphOptimizationLevelAll`

  #### Declaration

  Objective-C

      ORTGraphOptimizationLevelAll

  Swift

      case all = 3

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.